<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;

class CreateExchangeordersTable extends Migration
{
    /*
     * Run the migrations.
     *
     * @return void
     */

    public function up()
    {

        /*
         * Table: exchangeorders
         */
        Schema::create('exchangeorders', function ($table) {
            $table->increments('id');
            $table->integer('user_id')->nullable();
            $table->float('price')->nullable();
            $table->float('amount')->nullable();
            $table->float('total')->nullable();
            $table->float('fee')->nullable();
            $table->enum('order_type', ['buy','sell'])->nullable();
            $table->enum('blockchain', ['BTC','ETH'])->nullable();
            $table->dateTime('trans_datetime')->nullable();
            $table->enum('status', ['pending','completed'])->nullable();
            $table->softDeletes();
            $table->nullableTimestamps();
        });
    }

    /*
    * Reverse the migrations.
    *
    * @return void
    */

    public function down()
    {
        Schema::drop('exchangeorders');
    }
}
