<?php

namespace Litecms\Exchangeorder;

use User;

class Exchangeorder
{
    /**
     * $exchangeorder object.
     */
    protected $exchangeorder;

    /**
     * Constructor.
     */
    public function __construct(\Litecms\Exchangeorder\Interfaces\ExchangeorderRepositoryInterface $exchangeorder)
    {
        $this->exchangeorder = $exchangeorder;
    }

    /**
     * Returns count of exchangeorder.
     *
     * @param array $filter
     *
     * @return int
     */
    public function count()
    {
        return  0;
    }

    /**
     * Make gadget View
     *
     * @param string $view
     *
     * @param int $count
     *
     * @return View
     */
    public function gadget($view = 'admin.exchangeorder.gadget', $count = 10)
    {

        if (User::hasRole('user')) {
            $this->exchangeorder->pushCriteria(new \Litepie\Litecms\Repositories\Criteria\ExchangeorderUserCriteria());
        }

        $exchangeorder = $this->exchangeorder->scopeQuery(function ($query) use ($count) {
            return $query->orderBy('id', 'DESC')->take($count);
        })->all();

        return view('exchangeorder::' . $view, compact('exchangeorder'))->render();
    }
}
