<?php

namespace Litecms\Exchangeorder\Repositories\Presenter;

use League\Fractal\TransformerAbstract;
use Hashids;

class ExchangeorderTransformer extends TransformerAbstract
{
    public function transform(\Litecms\Exchangeorder\Models\Exchangeorder $exchangeorder)
    {
        return [
            'id'                => $exchangeorder->getRouteKey(),
            'key'               => [
                'public'    => $exchangeorder->getPublicKey(),
                'route'     => $exchangeorder->getRouteKey(),
            ], 
            'user_id'           => $exchangeorder->user_id,
            'price'             => $exchangeorder->price,
            'amount'            => $exchangeorder->amount,
            'total'             => $exchangeorder->total,
            'fee'               => $exchangeorder->fee,
            'order_type'        => $exchangeorder->order_type,
            'blockchain'        => $exchangeorder->blockchain,
            'trans_datetime'    => $exchangeorder->trans_datetime,
            'status'            => $exchangeorder->status,
            'deleted_at'        => $exchangeorder->deleted_at,
            'created_at'        => $exchangeorder->created_at,
            'updated_at'        => $exchangeorder->updated_at,
            'url'               => [
                'public'    => trans_url('exchangeorder/'.$exchangeorder->getPublicKey()),
                'user'      => guard_url('exchangeorder/exchangeorder/'.$exchangeorder->getRouteKey()),
            ], 
            'status'            => trans('app.'.$exchangeorder->status),
            'created_at'        => format_date($exchangeorder->created_at),
            'updated_at'        => format_date($exchangeorder->updated_at),
        ];
    }
}