<?php

namespace Litecms\Exchangeorder\Workflow;

use Exception;
use Litepie\Workflow\Exceptions\WorkflowActionNotPerformedException;

use Litecms\Exchangeorder\Models\Exchangeorder;

class ExchangeorderAction
{
    /**
     * Perform the complete action.
     *
     * @param Exchangeorder $exchangeorder
     *
     * @return Exchangeorder
     */
    public function complete(Exchangeorder $exchangeorder)
    {
        try {
            $exchangeorder->status = 'complete';
            return $exchangeorder->save();
        } catch (Exception $e) {
            throw new WorkflowActionNotPerformedException();
        }
    }

    /**
     * Perform the verify action.
     *
     * @param Exchangeorder $exchangeorder
     *
     * @return Exchangeorder
     */public function verify(Exchangeorder $exchangeorder)
    {
        try {
            $exchangeorder->status = 'verify';
            return $exchangeorder->save();
        } catch (Exception $e) {
            throw new WorkflowActionNotPerformedException();
        }
    }

    /**
     * Perform the approve action.
     *
     * @param Exchangeorder $exchangeorder
     *
     * @return Exchangeorder
     */public function approve(Exchangeorder $exchangeorder)
    {
        try {
            $exchangeorder->status = 'approve';
            return $exchangeorder->save();
        } catch (Exception $e) {
            throw new WorkflowActionNotPerformedException();
        }
    }

    /**
     * Perform the publish action.
     *
     * @param Exchangeorder $exchangeorder
     *
     * @return Exchangeorder
     */public function publish(Exchangeorder $exchangeorder)
    {
        try {
            $exchangeorder->status = 'publish';
            return $exchangeorder->save();
        } catch (Exception $e) {
            throw new WorkflowActionNotPerformedException();
        }
    }

    /**
     * Perform the archive action.
     *
     * @param Exchangeorder $exchangeorder
     *
     * @return Exchangeorder
     */
    public function archive(Exchangeorder $exchangeorder)
    {
        try {
            $exchangeorder->status = 'archive';
            return $exchangeorder->save();
        } catch (Exception $e) {
            throw new WorkflowActionNotPerformedException();
        }
    }

    /**
     * Perform the unpublish action.
     *
     * @param Exchangeorder $exchangeorder
     *
     * @return Exchangeorder
     */
    public function unpublish(Exchangeorder $exchangeorder)
    {
        try {
            $exchangeorder->status = 'unpublish';
            return $exchangeorder->save();
        } catch (Exception $e) {
            throw new WorkflowActionNotPerformedException();
        }
    }
}
