<?php

namespace Litecms\Exchangeorder\Workflow;

use Litecms\Exchangeorder\Models\Exchangeorder;
use Litecms\Exchangeorder\Notifications\ExchangeorderWorkflow as ExchangeorderNotifyer;
use Notification;

class ExchangeorderNotification
{

    /**
     * Send the notification to the users after complete.
     *
     * @param Exchangeorder $exchangeorder
     *
     * @return void
     */
    public function complete(Exchangeorder $exchangeorder)
    {
        return Notification::send($exchangeorder->user, new ExchangeorderNotifyer($exchangeorder, 'complete'));;
    }

    /**
     * Send the notification to the users after verify.
     *
     * @param Exchangeorder $exchangeorder
     *
     * @return void
     */
    public function verify(Exchangeorder $exchangeorder)
    {
        return Notification::send($exchangeorder->user, new ExchangeorderNotifyer($exchangeorder, 'verify'));;
    }

    /**
     * Send the notification to the users after approve.
     *
     * @param Exchangeorder $exchangeorder
     *
     * @return void
     */
    public function approve(Exchangeorder $exchangeorder)
    {
        return Notification::send($exchangeorder->user, new ExchangeorderNotifyer($exchangeorder, 'approve'));;

    }

    /**
     * Send the notification to the users after publish.
     *
     * @param Exchangeorder $exchangeorder
     *
     * @return void
     */
    public function publish(Exchangeorder $exchangeorder)
    {
        return Notification::send($exchangeorder->user, new ExchangeorderNotifyer($exchangeorder, 'publish'));;
    }

    /**
     * Send the notification to the users after archive.
     *
     * @param Exchangeorder $exchangeorder
     *
     * @return void
     */
    public function archive(Exchangeorder $exchangeorder)
    {
        return Notification::send($exchangeorder->user, new ExchangeorderNotifyer($exchangeorder, 'archive'));;

    }

    /**
     * Send the notification to the users after unpublish.
     *
     * @param Exchangeorder $exchangeorder
     *
     * @return void
     */
    public function unpublish(Exchangeorder $exchangeorder)
    {
        return Notification::send($exchangeorder->user, new ExchangeorderNotifyer($exchangeorder, 'unpublish'));;

    }
}
